/// <reference types="react" />
import { TourHooksParams } from './types';
export declare const useTour: ({ isShowTour, tourId, }: TourHooksParams) => {
    advancedTourStepId: number;
    showTour: boolean;
    setStep: import("react").Dispatch<import("react").SetStateAction<import("./types").StepProps | undefined>>;
    setAdvancedTourEnabled: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    advancedTourEnabled: boolean;
    setShowAdvancedTour: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    setAdvancedTourStepId: import("react").Dispatch<import("react").SetStateAction<number>>;
    setAdvancedTourId: import("react").Dispatch<import("react").SetStateAction<string>>;
    setIsHighlighted: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    setShowTour: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    setTourId: import("react").Dispatch<import("react").SetStateAction<string>>;
    setStepId: import("react").Dispatch<import("react").SetStateAction<number>>;
    stepId: number;
};
